// creator  : weidu.exe (version 23600)
// argument : IRLENT.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~IRLENT~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #1289 /* ~Greetings, house guests. I must assume that you are the friends that have had Aldeth so excited. I must introduce myself: I am Irlentree, one of Aldeth's partners in business. I've come to announce that the company is celebrating the anniversary of Aldeth's stay with us. I would like you to join us for the festivities. There should be some interesting surprises.~ */
  IF ~~ THEN REPLY #1295 /* ~Sorry, we don't feel up to it right now.~ */ DO ~SetGlobal("ZorlParty","GLOBAL",1)
SetGlobal("TalkedToZorlIrenl","GLOBAL",1)
~ GOTO 1
  IF ~~ THEN REPLY #1296 /* ~We'll be there.~ */ DO ~SetGlobal("ZorlParty","GLOBAL",1)
SetGlobal("TalkedToZorlIrenl","GLOBAL",1)
~ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #1290 /* ~No, I don't think you understand. I insist that you be there. You should go soon. I'm sure you'd enjoy it.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0 0.1
  SAY #1291 /* ~The party is set to take place on the third floor. If you go up there, I'll meet you soon after.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26827 /* ~Investigating the Merchants' League Estate
Irlentree, one of the owners of the Merchants' League, invited us to Aldeth's anniversary party on the third floor.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #1293 /* ~Are you sure Aldeth, I was most certain that this was the day.~ */
  IF ~~ THEN EXTERN ~ZORL~ 6
END

IF ~~ THEN BEGIN 4 // from:
  SAY #1294 /* ~Come now Zorl, we mustn't be so rude. These primates are about to take the final step, to become something much greater than what they were.~ */
  IF ~~ THEN EXTERN ~ZORL~ 7
END

IF ~  NumberOfTimesTalkedTo(1)
~ THEN BEGIN 5 // from:
  SAY #7030 /* ~You must not bother me at the moment prim—friends; I am a very busy man. If you are overly excited about the upcoming feas—party, don't be worried, we won't start without you.~ */
  IF ~~ THEN EXIT
END

IF ~  True()
~ THEN BEGIN 6 // from:
  SAY #11811 /* ~Why don't you go to the third floor, friend? The party is starting there, and some, ah, friends of mine wouldn't mind meeting you.~ */
  IF ~~ THEN EXIT
END
